Subject: Re: git-svn bug?

From: Seth Falcon <[email-masked]>
Date: Wed, 15 Nov 2006 14:33:47 -0800

"Troy Telford" <[email-masked]> writes:

> I've got a repository I've converted over to git from svn.  (using
> git-svn.  since there's only been one branch, I figured I could skip
> git-svnimport).
>
> For quite a while, all I did was fetch/rebase from the svn repository
> to  my git repository; all of my own work was committed to the git
> repository;  none of the changes were commited to the svn repository.
>
> Then came the time to commit changes from my git repository to the svn
> repository.
>
> Being somewhat cautious, I created an empty 'dummy' svn repository and
> familiarize myself with using git-svn to commit from git -> svn.
>
> I ran:
> git-svn fetch
> git-svn rebase remotes/git-svn (already updated)
> git-svn dcommit (to push my changes to the svn repository)

I always send commits as:

git-svn dcommit remotes/git-svn..master

Possibly replacing master with whatever git branch I'm working on.
One nice thing about this approach is that you can sort of preview the
commit as:

  git diff remotes/git-svn..master

[but that just shows overall diffs and git-svn dcommit will apply each
commit in master separately to svn]